Invite a user to an organization (admin only)
curl --request POST \
--url http://0.0.0.0:3000/v1/organizations/{id}/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "amigo@email.com",
"expiresAt": null
}
'import requests
url = "http://0.0.0.0:3000/v1/organizations/{id}/invitations"
payload = {
"email": "amigo@email.com",
"expiresAt": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'amigo@email.com', expiresAt: null})
};
fetch('http://0.0.0.0:3000/v1/organizations/{id}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "inv_abc123",
"email": "amigo@email.com",
"status": "Pending"
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}{
"error": "internal_error"
}Organizations
Invite a user to an organization (admin only)
POST
/
v1
/
organizations
/
{id}
/
invitations
Invite a user to an organization (admin only)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID da organização
Body
application/json
Response
Invitation created
⌘I